Bug 485653 - Installing bind-chroot does not create a named.conf symbolic link
Installing bind-chroot does not create a named.conf symbolic link
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-15 18:38 EST by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 07:36:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2009-02-15 18:38:45 EST
Description of problem:
In Fedora 10, installing bind-chroot creates a "/etc/named.conf -> /var/named/chroot/etc/named.conf" symbolic link. This does not occur in Fedora rawhide. Is this expected behavior?

Version-Release number of selected component (if applicable):
bind-9.6.0-5.P1.fc11.i386
bind-chroot-9.6.0-5.P1.fc11.i386

How reproducible:
Always.

Steps to Reproduce:
1. yum install bind
2. ls -ll /etc/named.conf 
-rw-r----- 1 root named 793 2008-06-30 20:39 /etc/named.conf
3. yum install bind-chroot
4. ls -ll /etc/named.conf
  
Actual results:
-rw-r----- 1 root named 793 2008-06-30 20:39 /etc/named.conf

Expected results:
lrwxrwxrwx 1 root named 32 2009-02-16 19:03 /etc/named.conf -> /var/named/chroot/etc/named.conf

Additional info:
Symbolic link created when using:
bind-9.5.1-1.P1.fc10.i386
bind-chroot-9.5.1-1.P1.fc10.i386
Comment 1 Adam Tkac 2009-02-16 07:36:03 EST
It is expected behavior, this topic was discussed on fedora-devel-list - https://fcp.surfsite.org/modules/newbb/viewtopic.php?viewmode=flat&topic_id=63613&forum=11

Note You need to log in before you can comment on or make changes to this bug.